Skip to main content
GET
/
schedule
/
v1
/
agreements
/
{agreementId}
Get agreement
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/agreements/{agreementId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "code": "<string>",
  "color": "<string>",
  "annualHours": 123,
  "additionalHoursPercent": 123,
  "totalAdditionalHours": 123,
  "maxDaysToWork": 123,
  "createdAt": "2020-01-01T10:00:00+01:00",
  "updatedAt": "2020-01-01T10:00:00+01:00"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

agreementId
string<uuid>
required

Agreement UUID

Query Parameters

limit
integer

Limit results

page
integer

Request a specific page

Response

200 - application/json

Get agreement

id
string<uuid>
companyId
string<uuid>
name
string
code
string
color
string
annualHours
number
additionalHoursPercent
number
totalAdditionalHours
number
maxDaysToWork
number
createdAt
string<Y-m-dTH:i:sP>
Example:

"2020-01-01T10:00:00+01:00"

updatedAt
string<Y-m-dTH:i:sP>
Example:

"2020-01-01T10:00:00+01:00"